Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseFeedbackDelegate Delegate
See Also Send Feedback

The application-specified feedback function called to report the operation progress of Berkeley DB.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public delegate void DatabaseFeedbackDelegate(
    	DatabaseFeedbackEvent opcode,
    	int percent
    )

Visual Basic (Declaration)
    Public Delegate Sub DatabaseFeedbackDelegate ( _
    	opcode As DatabaseFeedbackEvent, _
    	percent As Integer _
    )

Visual C++
    public delegate void DatabaseFeedbackDelegate(
    	DatabaseFeedbackEvent opcode,
    	int percent
    )

#### Parameters

opcode
  Type: BerkeleyDB..::.DatabaseFeedbackEvent
  An operation code specifying the Berkley DB operation

percent
  Type: System..::.Int32
  The percent of the operation that has been completed, specified as an integer value between 0 and 100.

# See Also

BerkeleyDB Namespace